Returns time bookings for users.

GEThttps://api.awork.com/api/v1/users/timebookings
GET https://api.awork.com/api/v1/users/timebookings

Returns time bookings for users. Each booking includes its project, user, and tracked duration.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

userIdsstringRequired

The ids of the users.

intervalStartstringRequired
format: date

The start of the interval.

intervalEndstringRequired
format: date

The end of the interval.

Responses

200 OK

application/json

userIdstringOptional
format: uuid

The user id to which the time bookings belong.

timeBookingsarray of object or nullOptional

The list of time bookings of the user.

Show 13 properties
idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

userIdstringOptional
format: uuid

The id of the user this time booking is for.

projectIdstring or nullOptional
format: uuid

(optional) The id of the project this time booking is for.

startDatestringOptional
format: date

The start date of the time booking.

endDatestringOptional
format: date

The end date of the time booking.

durationintegerOptional
format: int32

The planned duration, expressed in seconds, of this time booking.

descriptionstring or nullOptional

The optional description for this time booking.

laneOrderintegerOptional
format: int32

The order in which this object should be shown in the timeline (row number). Used by the awork web app.

isAnonymizedboolean or nullOptional

This will be true if the user doesn't have access to the project. In that case the description will be shadowed.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation